%define name    pyzor
%define version	0.4.0
%define release	%mkrel 12

%define summary Pyzor is a collaborative system to detect and block spam

%define	python_ver   %pyver

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Networking/Mail
URL:            http://pyzor.sourceforge.net/
Source0:        %name-%version.tar.bz2
Patch0:		%name-python_path.patch
Patch1:		%name-handle_digest_is_none.patch
Patch2:		%name-handle_unknown_encoding.patch
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:	python-devel
Requires:	python
BuildArch:      noarch

%description
Pyzor is a collaborative, networked system to detect and block spam using
identifying digests of messages.

Pyzor initially started out to be merely a Python implementation of Razor, but
due to the protocol and the fact that Razor's server is not Open Source or
software libre, I decided to impelement Pyzor with a new protocol and release
the entire system as Open Source and software libre.

Since the entire system is released under the GPL, people are free to host
their own independent servers. Server peering is planned for a future release.

%prep
%setup -q
%patch0 -p0 -b .%name-python_patch.patch
%patch1 -p0 -b .%name-handle_digest_is_none.patch
%patch2 -p0 -b .%name-handle_unknown_encoding.patch


%build
%__python setup.py build

%install
rm -rf %buildroot
%__python setup.py install --root=%buildroot

# unwanted file in document dir. we packaged it in files section
rm %buildroot/%_defaultdocdir/%name/usage.html

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc COPYING README INSTALL ChangeLog THANKS NEWS UPGRADING
%doc docs/usage.html
%{py_puresitedir}/%{name}/
%{py_puresitedir}/*.egg-info
%defattr(755,root,root)
%_bindir/*




%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-12mdv2009.0
+ Revision: 259903
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-11mdv2009.0
+ Revision: 247750
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.4.0-9mdv2008.1
+ Revision: 140738
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 05 2006 Michael Scherer <misc@mandriva.org> 0.4.0-9mdv2007.0
+ Revision: 91365
- rebuild for new python
- use macro, and include .egg-info files
- Import pyzor

